Bug 972645 - HPUX natives: "No buffer space available" after server shutdown
Summary: HPUX natives: "No buffer space available" after server shutdown
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Apache Server (httpd) and Connectors (Show other bugs)
(Show other bugs)
Version: 6.1.0
Hardware: ia64 Other
unspecified
high
Target Milestone: DR1
: EAP 6.4.0
Assignee: Jean-frederic Clere
QA Contact: Jan Stefl
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-10 10:19 UTC by Jan Stefl
Modified: 2018-03-05 15:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Stefl 2013-06-10 10:19:47 UTC
On HP-UX:
 - I have installed and enabled natives with configured https, everything works as expected, but after server shutdown "No buffer space available" appears in log.


04:16:43,400 ERROR [org.apache.tomcat.util] (http-localhost.dxb.redhat.com/127.0.0.1:8080-Acceptor) JBWEB003012: Socket accept failed: org.apache.tomcat.jni.Error: No buffer space available
        at org.apache.tomcat.jni.Socket.accept(Native Method) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
        at org.apache.tomcat.util.net.AprEndpoint$Acceptor.run(AprEndpoint.java:1138) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
        at java.lang.Thread.run(Thread.java:722) [rt.jar:1.7.0.03]


This is know issue, see [1]. Patch exists, but it is not applied on EAP's jbossweb.jar.




[1] https://issues.apache.org/bugzilla/show_bug.cgi?id=50273

Comment 1 Mladen Turk 2013-06-10 10:27:07 UTC
Jean-Frederic can you take this issue.

Comment 2 Jean-frederic Clere 2013-06-10 12:00:44 UTC
fixed in JBossWeb by r2217.

Comment 6 Kabir Khan 2014-12-05 12:34:56 UTC
This appears to have been done for 6.3.0, so I am setting it to ON_QA for 6.4.0

Comment 7 Jan Stefl 2014-12-15 11:41:23 UTC
Verified in 6.4.0.DR13

PASSED


Note You need to log in before you can comment on or make changes to this bug.